GNU bug report logs - #45224
28.0.50; eww and GIFS (cpu usage shoots through the roof)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Madhavan Krishnan <krishnanmadhavan000@HIDDEN>; Keywords: confirmed; dated Sun, 13 Dec 2020 17:25:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45224 <at> debbugs.gnu.org:


Received: (at 45224) by debbugs.gnu.org; 14 Dec 2020 17:06:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 14 12:06:00 2020
Received: from localhost ([127.0.0.1]:54060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1korIN-0007nN-SL
	for submit <at> debbugs.gnu.org; Mon, 14 Dec 2020 12:06:00 -0500
Received: from quimby.gnus.org ([95.216.78.240]:45152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1korIL-0007n8-9K
 for 45224 <at> debbugs.gnu.org; Mon, 14 Dec 2020 12:05:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=RqcjJH3TIuWxgu8Wp5OBVlaX2d1uB5INtrfO3L//LW0=; b=aa4EaJUELiRJ8n2zYWi6IbfS5a
 NXYWpbcODFSeuB/qn1sahM9texmZdruBSw4+lpG0LoU2cJTanhg2evWFXeiJH8hrNtN5NEel1USQD
 qt3uAv1r1INwJdMKf98QX/wvG3P1jInQUdbvkZ2AxmyIiir3WECTfh2tD7WeQ8Y7OnUM=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1korI9-0004q6-4K; Mon, 14 Dec 2020 18:05:50 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Madhavan Krishnan <krishnanmadhavan000@HIDDEN>
Subject: Re: bug#45224: 28.0.50; eww and GIFS (cpu usage shoots through the
 roof)
References: <87r1ntnabo.fsf@HIDDEN>
X-Now-Playing: Efterklang's _Tripper_: "Chapter 6"
Date: Mon, 14 Dec 2020 18:05:43 +0100
In-Reply-To: <87r1ntnabo.fsf@HIDDEN> (Madhavan Krishnan's message of "Sun, 
 13 Dec 2020 12:45:47 +0000")
Message-ID: <87eejsz5aw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Madhavan Krishnan <krishnanmadhavan000@HIDDEN> writes:
 > Steps to reproduce the bug: > > 1) M-x eww 2) Insert this url at the prompt.
 > https://github.com/manateelazycat/emacs-application-framework 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45224
Cc: 45224 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Madhavan Krishnan <krishnanmadhavan000@HIDDEN> writes:

> Steps to reproduce the bug:
>
> 1) M-x eww 2) Insert this url at the prompt.
> https://github.com/manateelazycat/emacs-application-framework

Yes, Emacs's animation code needs to cache the images better.

In any case, Emacs should be stopping animations that take too much CPU.
Do you get the "Stopping animation; animation possibly too big"
messages?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45224; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Dec 2020 17:24:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 13 12:24:10 2020
Received: from localhost ([127.0.0.1]:50008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1koV6P-0001Ts-PA
	for submit <at> debbugs.gnu.org; Sun, 13 Dec 2020 12:24:10 -0500
Received: from lists.gnu.org ([209.51.188.17]:35882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <krishnanmadhavan000@HIDDEN>) id 1koQlM-0004H4-Fv
 for submit <at> debbugs.gnu.org; Sun, 13 Dec 2020 07:46:09 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:39234)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <krishnanmadhavan000@HIDDEN>)
 id 1koQlL-00029r-Fq
 for bug-gnu-emacs@HIDDEN; Sun, 13 Dec 2020 07:46:08 -0500
Received: from mail-wm1-x329.google.com ([2a00:1450:4864:20::329]:35947)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <krishnanmadhavan000@HIDDEN>)
 id 1koQlF-0003Iq-Pr
 for bug-gnu-emacs@HIDDEN; Sun, 13 Dec 2020 07:46:07 -0500
Received: by mail-wm1-x329.google.com with SMTP id y23so12785641wmi.1
 for <bug-gnu-emacs@HIDDEN>; Sun, 13 Dec 2020 04:45:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=GYnpIvc3jrsI5dtreJVven8RteAS2Nw/yzuBOZQX58c=;
 b=hpJ3Prb4sRVlZ6aQ6Y3ho8WFbgx8Ot5R4xNq37/ZABZhg+znhfCOrNXx88CIGbPXeM
 nfmmp955gRF6cY2q3sORhEkCuBpj4TuCc4SMVRjg5GU12+MyLzUcVVacCTE/AZL8V26S
 qf7GewbF2K0AHB3V8cKeOFyURty4azaU5tpzyboppSWM2IR4BtfIS/qsXZiBAQsifDUC
 UdkHnFI08h6yoxSwivh4/NL/vAy2xTgzRWWGSRv/ZQZhKemzUBcHhqk9XIeEbpY8ufb/
 SfBiPn3r6WqKESKh8R4+BJIbAWwtfmROME1a0+avirkMViEvcznI/ROHjV+Z1PbpWgUJ
 U6sw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=GYnpIvc3jrsI5dtreJVven8RteAS2Nw/yzuBOZQX58c=;
 b=Qn5xH6TwVwfVTtQkBmpC1vBpRXlEiRdk6bZBuKj2CqzzOxfRQ6ZD/K5eknXLovnwwc
 3okE22/swsj8Jie8XSWQkSFZWVnKS1wuwMGO5kRBvfGSDhtA1NG42HiArEB5I4hQVWao
 Xcq50gHylxr21GxM2/p9h/rrwuF8RBWmMsyoiWfNWUEc39Gcv7CexXx5v37xLwfnrjir
 BD8BL6vtgOyESwXR6hTDZN36kBJNx/urD/HhNPcr9u994WMqYwld7BfTnLsp0IsGgAW9
 3ZV8VtrUm1EgnlIJUFIdRn2YVYaKHsgXVAoeDRObytdwrmAKTFsL9q3D9Q/eZtdp1O2A
 QdfQ==
X-Gm-Message-State: AOAM530AGUBRxBv4jifJ7DEygazWfsKhXlPab2xhuu4G+P/DB09JUGbi
 VhK8uzSzfnJR25UmZvJTKzLDrEIUVO8=
X-Google-Smtp-Source: ABdhPJzt4jm5s5RN9VqMvEm0kDnUuXRcxj4zpB6jPrQ4lhIb2wuwbrlMyldIBmi3AhzJnLFS/KTKEA==
X-Received: by 2002:a1c:c305:: with SMTP id t5mr23246965wmf.63.1607863554588; 
 Sun, 13 Dec 2020 04:45:54 -0800 (PST)
Received: from arch (cpc119944-watf12-2-0-cust108.15-2.cable.virginm.net.
 [86.0.29.109])
 by smtp.gmail.com with ESMTPSA id j10sm8127233wmj.7.2020.12.13.04.45.53
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 13 Dec 2020 04:45:53 -0800 (PST)
From: Madhavan Krishnan <krishnanmadhavan000@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; eww and GIFS (cpu usage shoots through the roof)
Date: Sun, 13 Dec 2020 12:45:47 +0000
Message-ID: <87r1ntnabo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2a00:1450:4864:20::329;
 envelope-from=krishnanmadhavan000@HIDDEN; helo=mail-wm1-x329.google.com
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 13 Dec 2020 12:24:08 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


Hello there,

This is on Emacs 28.0.50 (MAIN branch) with "-Q"

Steps to reproduce the bug:

1) M-x eww 2) Insert this url at the prompt.
https://github.com/manateelazycat/emacs-application-framework

as "fix" I was told (setq shr-image-animate nil) would help, but would
defeat the purpose of GIFS

Below you can find the profile report for the cpu.

#+begin_example
- command-execute                                                4514  91%
 - call-interactively                                            4514  91%
  - byte-code                                                    4197  85%
   - read-extended-command                                       4197  85%
    - completing-read                                            4197  85%
     - completing-read-default                                   4197  85%
      - read-from-minibuffer                                     4135  83%
       - timer-event-handler                                     3423  69%
        - apply                                                  3423  69%
         - image-animate-timeout                                 3421  69%
            image-multi-frame-p                                  3420  69%
            time-since                                              1   0%
           #<compiled 0xbc1b6d5890d29>                              1   0%
       - url-http-generic-filter                                   91   1%
        - url-http-content-length-after-change-function                 89   1%
         - url-http-activate-callback                              81   1%
          - apply                                                  81   1%
           - url-queue-callback-function                           81   1%
            - apply                                                81   1%
             + shr-image-fetched                                   81   1%
         - file-size-human-readable-iec                             6   0%
            file-size-human-readable                                3   0%
          apply                                                     2   0%
       - redisplay_internal (C function)                           39   0%
        - funcall                                                  35   0%
         - #<compiled 0x1c38e9a167702bb5>                          35   0%
          + gui-backend-selection-exists-p                         35   0%
        - tool-bar-make-keymap                                      2   0%
         - tool-bar-make-keymap-1                                   2   0%
          - mapcar                                                  2   0%
             #<compiled 0xd4d9e7eb5da225a>                          2   0%
        + #<compiled 0x37cabbbdf65a500>                             2   0%
  - funcall-interactively                                         317   6%
   - execute-extended-command                                     317   6%
    - sit-for                                                     317   6%
     - read-event                                                 174   3%
      - timer-event-handler                                       161   3%
       + apply                                                    161   3%
      - url-http-generic-filter                                     2   0%
       - url-http-content-length-after-change-function                  2   0%
          url-percentage                                            1   0%
      - redisplay_internal (C function)                             1   0%
       + #<compiled 0x37cabbbdf65a500>                              1   0%
     - input-pending-p                                            108   2%
      - timer-event-handler                                       108   2%
       - apply                                                    108   2%
        - image-animate-timeout                                   108   2%
           image-multi-frame-p                                    108   2%
     + redisplay                                                   27   0%
+ timer-event-handler                                             348   7%
+ ...                                                              71   1%
+ redisplay_internal (C function)                                   2   0%
+ url-http-generic-filter                                           1   0%
#+end_example

Regards
-- 
Madhavan Krishnan




Acknowledgement sent to Madhavan Krishnan <krishnanmadhavan000@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45224; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 14 Dec 2020 17:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.